Bug 412273 - notifier should warn about broken systems (packagekit)
Summary: notifier should warn about broken systems (packagekit)
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: discover (show other bugs)
Version: 5.16.5
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-24 12:32 UTC by Harald Sitter
Modified: 2019-10-09 16:44 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.18.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Sitter 2019-09-24 12:32:59 UTC
AFAICT transactions can exit with PK_EXIT_ENUM_REPAIR_REQUIRED which is to indicate that the system is in a bad state and needs repair (RepairSystem transaction).

The notifier (and probably also the main application) should handle this state and throw up notifications about this with a button to trigger a repair attempt.

Repair required can for example happen when packages failed to install and now the system is in a half-working state with half the packages being installed and the others blocked on a failed dependency. etc.

It's entirely unclear how well this state is communicated from the PK backends, but supposedly if they are not communicating this properly they need fixing as well.
Comment 1 Aleix Pol 2019-10-09 14:03:53 UTC
I don't really see to get a PkExitEnum from a PkTransaction.

For now, I realised that we weren't offering to repair the system when an offline update failed. Will do so now.
Comment 2 Aleix Pol 2019-10-09 14:04:13 UTC
Git commit eb1e950d01578e82844dfbbe063ad176c7a08e43 by Aleix Pol.
Committed on 09/10/2019 at 14:01.
Pushed by apol into branch 'master'.

pk: offer to repair the system when an offline update failed

M  +1    -1    libdiscover/backends/PackageKitBackend/PackageKitNotifier.cpp

https://commits.kde.org/discover/eb1e950d01578e82844dfbbe063ad176c7a08e43